v_hdmitx: XV_HdmiTx Struct Reference

| v_hdmitx Xilinx SDK Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List

- Data Structures
- Data Fields

Data Fields
XV_HdmiTx Struct Reference

The XV_HdmiTx driver instance data. More...

## Data Fields
XV_HdmiTx_Config | Config
| Hardware Configuration. More...
u32 | IsReady
| Core and the driver instance are initialized. More...
XV_HdmiTx_Callback | ConnectCallback
     Callback for connect event
interrupt More...
void * | ConnectRef
    To be passed to the connect
interrupt callback More...
u32 | IsConnectCallbackSet
| Set flag. More...
XV_HdmiTx_Callback | ToggleCallback
    Callback for toggle event
interrupt More...
void * | ToggleRef
| To be passed to the toggle interrupt callback. More...
u32 | IsToggleCallbackSet
| Set flag. More...
XV_HdmiTx_Callback | VsCallback
     Callback for Vsync event
interrupt More...
void * | VsRef
        To be passed to the Vsync
interrupt callback More...
u32 | IsVsCallbackSet
| Set flag. More...
XV_HdmiTx_Callback | BrdgUnlockedCallback
| Callback for Bridge UnLocked event interrupt. More...
void * | BrdgUnlockedRef
| To be passed to the Bridge Unlocked interrupt callback. More...
u32 | IsBrdgUnlockedCallbackSet
| Set flag. More...
XV_HdmiTx_Callback | BrdgOverflowCallback
| Callback for Bridge Overflow event interrupt. More...
void * | BrdgOverflowRef
| To be passed to the Bridge Overflow interrupt callback. More...
u32 | IsBrdgOverflowCallbackSet
| Set flag. More...
XV_HdmiTx_Callback | BrdgUnderflowCallback
| Callback for Bridge Underflow event interrupt. More...
void * | BrdgUnderflowRef
| To be passed to the Bridge Underflow interrupt callback. More...
u32 | IsBrdgUnderflowCallbackSet
| Set flag. More...
XV_HdmiTx_Callback | StreamDownCallback
     Callback for stream down
callback More...
void * | StreamDownRef
    To be passed to the stream
down callback More...
u32 | IsStreamDownCallbackSet
| Set flag. More...
XV_HdmiTx_Callback | StreamUpCallback
                                             Callback for stream up
callback More...
void * | StreamUpRef
                                            To be passed to the stream up
callback More...
u32 | IsStreamUpCallbackSet
| Set flag. More...
XHdmiC_Aux | Aux
| AUX peripheral information. More...
XV_HdmiTx_Stream | Stream
| HDMI TX stream information. More...

## Detailed Description

The XV_HdmiTx driver instance data.

An instance must be allocated for each HDMI TX core in use.

## Field Documentation

XHdmiC_Aux XV_HdmiTx::Aux

AUX peripheral information.

Referenced by XV_HdmiTx_AuxSend().

XV_HdmiTx_Callback XV_HdmiTx::BrdgOverflowCallback

Callback for Bridge Overflow event interrupt.

Referenced by XV_HdmiTx_SetCallback().

void* XV_HdmiTx::BrdgOverflowRef

To be passed to the Bridge Overflow interrupt callback.

Referenced by XV_HdmiTx_SetCallback().

XV_HdmiTx_Callback XV_HdmiTx::BrdgUnderflowCallback

Callback for Bridge Underflow event interrupt.

Referenced by XV_HdmiTx_SetCallback().

void* XV_HdmiTx::BrdgUnderflowRef

To be passed to the Bridge Underflow interrupt callback.

Referenced by XV_HdmiTx_SetCallback().

XV_HdmiTx_Callback XV_HdmiTx::BrdgUnlockedCallback

Callback for Bridge UnLocked event interrupt.

Referenced by XV_HdmiTx_SetCallback().

void* XV_HdmiTx::BrdgUnlockedRef

To be passed to the Bridge Unlocked interrupt callback.

Referenced by XV_HdmiTx_SetCallback().

XV_HdmiTx_Config XV_HdmiTx::Config

Hardware Configuration.

Referenced by XV_HdmiTx_AuxSend(), XV_HdmiTx_CfgInitialize(), XV_HdmiTx_DdcGetAck(), XV_HdmiTx_DdcInit(), XV_HdmiTx_DdcReadData(), XV_HdmiTx_DdcWaitForDone(), XV_HdmiTx_DdcWriteCommand(), XV_HdmiTx_IntrHandler(), XV_HdmiTx_SelfTest(), XV_HdmiTx_SetColorDepth(), XV_HdmiTx_SetColorFormat(), XV_HdmiTx_SetPixelRate(), and XV_HdmiTx_SetSampleRate().

XV_HdmiTx_Callback XV_HdmiTx::ConnectCallback

     Callback for connect event

interrupt

Referenced by XV_HdmiTx_CfgInitialize(), and XV_HdmiTx_SetCallback().

void* XV_HdmiTx::ConnectRef

    To be passed to the connect

interrupt callback

Referenced by XV_HdmiTx_SetCallback().

u32 XV_HdmiTx::IsBrdgOverflowCallbackSet

Set flag.

This flag is set to true when the callback has been registered

Referenced by XV_HdmiTx_SetCallback().

u32 XV_HdmiTx::IsBrdgUnderflowCallbackSet

Set flag.

This flag is set to true when the callback has been registered

Referenced by XV_HdmiTx_SetCallback().

u32 XV_HdmiTx::IsBrdgUnlockedCallbackSet

Set flag.

This flag is set to true when the callback has been registered

Referenced by XV_HdmiTx_SetCallback().

u32 XV_HdmiTx::IsConnectCallbackSet

Set flag.

This flag is set to true when the callback has been registered

Referenced by XV_HdmiTx_CfgInitialize(), and XV_HdmiTx_SetCallback().

u32 XV_HdmiTx::IsReady

Core and the driver instance are initialized.

Referenced by XV_HdmiTx_CfgInitialize(), and XV_HdmiTx_IntrHandler().

u32 XV_HdmiTx::IsStreamDownCallbackSet

Set flag.

This flag is set to true when the callback has been registered

Referenced by XV_HdmiTx_CfgInitialize(), and XV_HdmiTx_SetCallback().

u32 XV_HdmiTx::IsStreamUpCallbackSet

Set flag.

This flag is set to true when the callback has been registered

Referenced by XV_HdmiTx_CfgInitialize(), and XV_HdmiTx_SetCallback().

u32 XV_HdmiTx::IsToggleCallbackSet

Set flag.

This flag is set to true when the callback has been registered

Referenced by XV_HdmiTx_CfgInitialize(), and XV_HdmiTx_SetCallback().

u32 XV_HdmiTx::IsVsCallbackSet

Set flag.

This flag is set to true when the callback has been registered

Referenced by XV_HdmiTx_CfgInitialize(), and XV_HdmiTx_SetCallback().

XV_HdmiTx_Stream XV_HdmiTx::Stream

HDMI TX stream information.

Referenced by XV_HdmiTx_CfgInitialize(), XV_HdmiTx_ClockRatio(), XV_HdmiTx_DebugInfo(), XV_HdmiTx_DetectHdmi20(), XV_HdmiTx_GetTmdsClk(), XV_HdmiTx_IsStreamConnected(), XV_HdmiTx_IsStreamScrambled(), XV_HdmiTx_Scrambler(), XV_HdmiTx_SetColorDepth(), XV_HdmiTx_SetColorFormat(), XV_HdmiTx_SetDviMode(), XV_HdmiTx_SetHdmiMode(), XV_HdmiTx_SetPixelRate(), XV_HdmiTx_SetSampleRate(), and XV_HdmiTx_SetStream().

XV_HdmiTx_Callback XV_HdmiTx::StreamDownCallback

     Callback for stream down

callback

Referenced by XV_HdmiTx_CfgInitialize(), and XV_HdmiTx_SetCallback().

void* XV_HdmiTx::StreamDownRef

    To be passed to the stream

down callback

Referenced by XV_HdmiTx_SetCallback().

XV_HdmiTx_Callback XV_HdmiTx::StreamUpCallback

                                             Callback for stream up

callback

Referenced by XV_HdmiTx_CfgInitialize(), and XV_HdmiTx_SetCallback().

void* XV_HdmiTx::StreamUpRef

                                            To be passed to the stream up

callback

Referenced by XV_HdmiTx_SetCallback().

XV_HdmiTx_Callback XV_HdmiTx::ToggleCallback

    Callback for toggle event

interrupt

Referenced by XV_HdmiTx_CfgInitialize(), and XV_HdmiTx_SetCallback().

void* XV_HdmiTx::ToggleRef

To be passed to the toggle interrupt callback.

Referenced by XV_HdmiTx_SetCallback().

XV_HdmiTx_Callback XV_HdmiTx::VsCallback

     Callback for Vsync event

interrupt

Referenced by XV_HdmiTx_CfgInitialize(), and XV_HdmiTx_SetCallback().

void* XV_HdmiTx::VsRef

        To be passed to the Vsync

interrupt callback

Referenced by XV_HdmiTx_SetCallback().